MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032038Open CASCADE[OCCT] OCCT:Visualizationpublic2021-01-04 11:552021-01-10 02:05
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusreviewedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032038: Visualization, OpenGl_View - move out framebuffer initialization from ::Redraw() to ::prepareFrameBuffers()
DescriptionCurrently OpenGl_View::Redraw() is overloaded with a large block initializing FBOs.
It is proposed moving out this block into dedicated method OpenGl_View::prepareFrameBuffers().
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0032040reviewedbugmaster Open CASCADE Visualization, OpenGl_View - merge OpenGl_View_Redraw.cxx into OpenGl_View.cxx 

-  Notes
(0098020)
git (administrator)
2021-01-09 23:33

Branch CR32038 has been created by kgv.

SHA-1: 2cb977151ff7b427d639b3a783525ea516507d88


Detailed log of new commits:

Author: kgv
Date: Mon Jan 4 03:26:51 2021 +0300

    0032038: Visualization, OpenGl_View - move out framebuffer initialization from ::Redraw() to ::prepareFrameBuffers()
(0098030)
kgv (developer)
2021-01-10 02:04

Please raise the patch
- OCCT branch: CR32038.

- Issue History
Date Modified Username Field Change
2021-01-04 11:55 kgv New Issue
2021-01-04 11:55 kgv Assigned To => kgv
2021-01-04 11:55 kgv Relationship added related to 0031571
2021-01-04 12:08 kgv Relationship added related to 0032040
2021-01-09 23:33 git Note Added: 0098020
2021-01-10 02:04 kgv Note Added: 0098030
2021-01-10 02:04 kgv Assigned To kgv => bugmaster
2021-01-10 02:04 kgv Status new => resolved
2021-01-10 02:05 kgv Status resolved => reviewed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker